﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace PopupSample
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            popupLayout.Closing += PopupLayout_Closing;
        }

        private void PopupLayout_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            var delay = System.DateTime.Now.AddMilliseconds(2000);
            while (true)
            {
                if (System.DateTime.Now >= delay)
                {
                    e.Cancel = false;
                    break;
                }
            }
        }

        private async void ClickToShowPopup_Clicked(object sender, EventArgs e)
        {
            await Task.Delay(2000);
            popupLayout.Show();
        }
    }
}
